/*
 * Copyright 2005-2006 Myriad Genetics, Inc.
 *
 * All rights reserved.
 */

package com.myriad.tmap.improve;

/** This represents an object which can receive the result from an asynchronous
    map-building operation. */
public interface MapReceivable {
    /** When an asynchronous computation finishes its current work, it calls
        mapResult with the result.
     */
    void mapResult(com.myriad.tmap.compute.Map map);
}
